#!/bin/sh

# This file configures builds and installs DWM.

# install dependencies
$SUDO $PM $PM_INSTALL $PM_NOCONFIRM \
    feh \
    network-manager-applet \
    alsa-utils \
    dstat \
    curl \
    flameshot

# clone
[ -d /tmp/dotfiles-dwm ] || git clone https://git.suckless.org/dwm /tmp/dotfiles-dwm

# config
cp ./files/dwm/config.h /tmp/dotfiles-dwm/config.h

# build, patch and install
pushd /tmp/dotfiles-dwm

# patches
curl https://dwm.suckless.org/patches/systray/dwm-systray-6.4.diff -o /tmp/dwm-systray.diff
git apply -3 /tmp/dwm-systray.diff

$SUDO make install
popd

# start script
chmod +x ./files/dwm/dwm-start.sh
$SUDO cp ./files/dwm/dwm-start.sh /usr/local/bin/dwm-start

# DM entry
$SUDO cp ./files/dwm/dwm.desktop /usr/share/xsessions/dwm.desktop
